golang JavaScript CSS Package manager toolchain dependency-manager Go Shell
Need help with dep?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.
golang

Description

Go dependency management tool experiment (deprecated)

13.2K Stars 1.1K Forks Other 3.3K Commits 0 Opened issues

Services available

Need anything else?

Build Status Windows Build Status

Dep

dep
is a dependency management tool for Go. It requires Go 1.9 or newer to compile.

NOTE: Dep was an official experiment to implement a package manager for Go. As of 2020, Dep is deprecated and archived in favor of Go modules, which have had official support since Go 1.11. For more details, see https://golang.org/ref/mod.

For guides and reference materials about

dep
, see the documentation.

Installation

You should use an officially released version. Release binaries are available on the releases page.

On MacOS you can install or upgrade to the latest released version with Homebrew:

$ brew install dep
$ brew upgrade dep

On Debian platforms you can install or upgrade to the latest version with apt-get:

$ sudo apt-get install go-dep

On Windows, you can download a tarball from go.equinox.io.

On other platforms you can use the

install.sh
script:
$ curl https://raw.githubusercontent.com/golang/dep/master/install.sh | sh

It will install into your

$GOPATH/bin
directory by default or any other directory you specify using the
INSTALL_DIRECTORY
environment variable.

If your platform is not supported, you'll need to build it manually or let the team know and we'll consider adding your platform to the release builds.

If you're interested in getting the source code, or hacking on

dep
, you can install via
go get
:
go get -u github.com/golang/dep/cmd/dep

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.